.TH CHECKSUIF 1 "Feb 15 1994" "Stanford University" "SUIF Compiler"
.SH NAME
checksuif \- check the legality of a SUIF file
.SH SYNOPSIS
.B checksuif
[
.I options
]
.I infile .\^.\^.
.SH DESCRIPTION
There are many rules about what is and is not allowed in a SUIF file,
and only some of these are checked by the SUIF library because there
would be a lot of overhead involved in checking every rule all the
time.  The
.I checksuif
program exists as a separate pass to check more of these rules only
when necessary for debugging.  It reads the specified files and
performs various checks on the legality of the SUIF code they contain.
If any problems are found, a diagnostic message is printed to standard
output.
.sp
All the checking routines run by
.I checksuif
are available for user programs to run internally in the
.I check
library.
.SH OPTIONS
.TP
.B \-warn
Only print a warning message when a problem is found, and continue
checking the program and eventually terminate normally, instead of
aborting.  This is the default.
.TP
.B \-fail
Print an error message and exit with an error condition when any
problem is found.
.TP
.PD 0
.B \-verboase
.TP
.B \-v
.TP
.PD
.B \-V
Any of these three flags has the same meaning: write verbose output to
standard error that describes what checksuif is doing, whether or not
problems are found.
.SH HISTORY
Bob Wilson wrote the type checking part and Chris Wilson added some
other checks.
